Name:           python-verovio
Version:        5.3.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A library and toolkit for engraving MEI music notation into SVG

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/rism-digital/verovio
Source:         %{pypi_source verovio}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'verovio' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-verovio
Summary:        %{summary}

%description -n python3-verovio %_description


%prep
%autosetup -p1 -n verovio-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-verovio -f %{pyproject_files}


%changelog
%autochangelog